<?php
/**
 * PaymentSystemEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * OMS
 *
 * Управление заказами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\OmsClient\Dto;
use \Ensi\OmsClient\ObjectSerializer;

/**
 * PaymentSystemEnum Class Doc Comment
 *
 * @category Class
 * @description Система оплаты. Расшифровка значений:   * &#x60;1&#x60; - Яндекс   * &#x60;3&#x60; - Тестовая система   * &#x60;4&#x60; - Касса
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class PaymentSystemEnum
{
    /**
     * Possible values of this enum
     */
    const YANDEX = 1;
    const TEST = 3;
    const CASH = 4;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::YANDEX,
            self::TEST,
            self::CASH,
        ];
    }
}


